language: cn
model_unique_abbr: regression_based_semantic_anomaly_detection
version: 1.0
identification:
  docker_image_name: regression_based_semantic_anomaly_detection:1.0-mgwr
  model_name: 基于自适应回归的空间-专题属性异常探测
  semantic: regression_based_semantic_anomaly_detection

  description: 基于自适应回归的空间-专题属性异常探测旨在发现地理空间变量间相关关系表现异常的区域。该算法通过构建层次性约束图模型表达地理空间单元间稳健、合理的邻近关系，根据空间邻近关系自适应确定回归带宽，利用地理加权回归建模空间变量依赖关系，最后基于回归残差项分布特征计算空间-专题属性异常度，最终得到专题属性相对于空间位置表现异常的地理空间对象
  category_application: 描述型
  category_data:
    - 点数据分析
  keywords:
    - 空间异常检测
    - 地理加权回归
    - Delaunay三角网
    - 自适应带宽
parameter_info:
  parameters:
    - arg_name: shp_input
      is_single_en_dash: false
      param_type: input_data
      name: 空间点数据
      description: "待检测的的空间点数据,以shp的形式保存,属性表中必须包含以下几列: u、v、y；含义分别是：经度、维度、"
      data_type: shapefile
      data_semantic: point_data

    - arg_name: alpha
      is_single_en_dash: false
      param_type: param
      name: 三角网最长边长约束参数
      description: 三角网最长边长约束参数，float类型，大于0，默认为3.0
      data_type: float
      data_semantic: trang length param
      specification:
        default: 3

    - arg_name: attr_input
      is_single_en_dash: false
      param_type: input_data
      name: 点非空间属性表
      description: "非空间属性表，格式为csv，包含点的非空间属性列名attr1，attr2，attr3..."
      data_type: str
      data_semantic: input points‘ non-spatial attribute

    - arg_name: output
      is_single_en_dash: false
      param_type: output_data
      name: 异常探测结果
      description: "输出结果为shp文件，带有标签的异常探测结果。新增列名默认为Is_Anomaly,1则为异常点"
      data_type: shapefile
      data_semantic: detection_result

application:
  domain: 基于自适应回归的空间-专题属性异常探测
  objective: 顾及空间邻近与非空间属性，从空间数据库中发现专题属性异常的点
  dimension:
    - 二维
  mechanism: 该方法构建不规则三角网来获取各个区域之间稳定合理的地理邻近关系,根据空间邻近关系获取自适应回归带宽,并纳入地理加权回归模型进行计算,最后根据回归残差项的统计分布性质开展空间异常度量与分析
operation:
  usage: "该算法需要四个参数,输入点shapefile的路径,三角网边长约束参数alpha,attr非空间属性，结果shapefile路径"
  exec_example:
    - docker run -v $(pwd):/data  regression_based_semantic_anomaly_detection:1.0-mgwr --shp_input /data/input.shp --alpha 3 --attr_input /data/attrs.csv --output /data/result.shp
  output_display:
    - "针对结果中的表示异常的列,用较明显颜色展示异常点。"
technique:
  language:
    - Python
  os:
    - Linux
    - Windows
source:
  maintainer: Zhilong Liu
  organization: Central South University
  contact: 235011045@csu.edu.cn
  references:
    - "刘洋,邓敏,邓悦等.基于Delaunay三角网和地理加权回归的降水空间异常探测方法研究[J].长江流域资源与环境,2017,26(11):1865-1874."
